Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class WritableFile

    java.lang.Object
      java.io.File
          org.codehaus.groovy.runtime.WritableFile

All Implemented Interfaces:
  Writable

    public class WritableFile
    extends File

A Writable File.

Authors:
  John Wilson

Field Summary

Fields inherited from class File
separatorChar, separator, pathSeparatorChar, pathSeparator

Constructor Summary
`WritableFile(File delegate)`
`WritableFile(File delegate, String encoding)`

Method Summary
`Writer` | `writeTo(Writer out)`

Methods inherited from class File

equals, toString, hashCode, compareTo, compareTo, getName, length, getCanonicalPath, getParent, isAbsolute, setReadOnly, list, list, delete, getPath, canExecute, canRead, canWrite, createNewFile, createTempFile, createTempFile, createTemporaryFile, deleteOnExit, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getFreeSpace, getParentFile, getTotalSpace, getUsableSpace, isDirectory, isFile, isHidden, lastModified, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setWritable, setWritable, toPath, toURI, toURL, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### WritableFile

    public WritableFile(File delegate)

### WritableFile

    public WritableFile(File delegate, String encoding)

Method Detail

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2010 The Codehaus. All rights reserved.